Skip to content
master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

Build Status Codacy Badge

logo

IEEE uOttawa Student Branch Website

portfolio_view

Contributors

  1. Rushil Perera (Webmaster 2018/2019)
  2. Nevin WS Ganesan (Webmaster 2019/2020)
  3. Ryan Fleck (Webmaster 2020/2021)

Past Webmasters

  1. Tamer Sherif (Webmaster 2017/2018)
  2. Rushil Perera (Webmaster 2018/2019)
  3. Nevin WS Ganesan (Webmaster 2019/2020)

Installation

Requirements:

  • nvm Node version manager for Windows, OSX, or Linux
  • yarn package manager

Steps:

  1. Ensure your Node.js version is the latest build of node 10.x, this is extremely important as the builds will fail on later versions. Migration to a newer version of Node.js is in the works.
nvm install 10.23.1
nvm use 10.23.1
  1. Make sure that you have the Gatsby CLI program installed:
npm install --global gatsby-cli
  1. Run frontend (Gatsby.js) by running these commands:
cd frontend && yarn install && yarn start
  1. Run backend (Express.js) by running these commands:
cd backend && yarn install && yarn start
  1. Alternatively:
(cd frontend && yarn install && yarn start) & (cd backend && yarn install && yarn start)
  1. OR
sh run.sh

About

IEEE uOttawa Student Branch Repository

Topics

Resources

Stars

Watchers

Forks

Releases

No releases published

Packages

No packages published

Languages